//--------------------------------------------------------------//
//	 _  ___ _ _  _____ _                  _        		//
//	| |/ (_) | |/ ____| |                | |       		//
//	| ' / _| | | (___ | |_ _ __ ___  __ _| | _____ 		//
//	|  < | | | |\___ \| __| '__/ _ \/ _` | |/ / __|		//
//	| . \| | | |____) | |_| | |  __/ (_| |   <\__ \		//
//	|_|\_\_|_|_|_____/ \__|_|  \___|\__,_|_|\_\___/		//
//--------------------------------------------------------------//
// Title: Killstreaks and Dominations				//
// Author: Swollow						//
// Version: 1.02						//
// Server.cs							//
//								//
// NOTES:							//
// To anyone reading this: I made the code nice and clean for 	//
// you so be happy						//
//--------------------------------------------------------------//
// ChangeLog:							//
// =====+BETA+=====						//
// 0.1 --> 0.2							//
// -Added MultiKills						//
// 0.2 --> 1.0							//
// -Added Death Killstreak messages				//
// =====+RELEASE+=====						//
// 1.0 --> 1.0.1						//
// -Fixed glitches with Revenges and Dominations		//
// 1.0 --> 1.0.2						//
// -Fixed bugs							//
// -Added rewards						//
// 1.0.2 --> 2.0						//
// -Fixed game breaking bug where you couldn't spawn		//
// -Added Killstreak Chat Messages				//
// -Rtb Pref for Killstreak chat messages			//
// -Flashy killstreak messages once you get over 30 kills	//
// 2.0 --> 2.0.1						//
// -Fixed chat messages appearing for killstreaks when disabled //
//--------------------------------------------------------------//



//--------------------------------------------------------------//
// Vital				    			//
//--------------------------------------------------------------//
Exec("./Killstreaks.cs");

//--------------------------------------------------------------//
// Rtb Prefs				    			//
//--------------------------------------------------------------//
if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook)
	{
		exec("Add-Ons/System_ReturnToBlockland/hooks/ServerControl.cs");
	}
	RTB_registerPref("Enabled", "Killstreaks", "$Killstreak::Enabled", "bool", "Server_Killstreaks_and_Dominations", 1, 0, 0, "");
	RTB_registerPref("Chat Messages", "Killstreaks", "$Killstreak::ChatMsg", "bool", "Server_Killstreaks_and_Dominations", 1, 0, 0, "");
} else {
	$Killstreak::Enabled = 1;
	$Killstreak::ChatMsg = 1;
}